{% extends "base.html.twig" %}

{% block main %}
    <main class="py-5">
        <div class="d-flex justify-content-center">
                <img src="{{article.image}}" class="img-fluid justify-center m-2" alt="..." style="height:50vh;width:100vh"></div>
        </div>
        <div class="container">
            <h1 class="card-title">{{article.lede}}</h1>
            <p class="card-text">{{article.text | raw }}</p>
    </main>

    <div class="comment-section text-light p-5" style="background-color: rgb(12, 19, 23);">
            <h1>Comments:</h1>
            {% for comment in comments %}
                <div class="card bg-light text-dark border-card m-3">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-4">
                                <small><b>Date:</b> {{comment.date}}</small>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <h2 class="card-text">
                            {{comment.username}} : {{comment.text}}
                        </h2>
                    </div>
                </div>
            {% endfor %}
            {% if state == "connected" %}
                <form class="row" method="POST">
                    <p class="fs-1 col-12 text-center">Add a comment</p>
                    {% if commentSent %}
                        <h1 class="text-center text-success">Your comment has been sent</h1>
                    {% endif %}
                    <div class="col-12">
                        <textarea class="form-control" aria-label="With textarea" name="text"></textarea>
                    </div>
                    <div class="d-grid p-2 col-4 mx-auto">
                        <button type="submit" class="btn btn-primary" name="submit">Submit</button>
                        *Comments will be available as soon as they're validated.
                    </div>
                </form>
            {% else %}
                    <p class="fs-1 col-12 text-center">Connect to add a comment</p>

                    <div class="d-grid p-2 col-4 mx-auto">          
                        <a class="btn btn-primary text-light" href="/openblog/public/account">Connect or create an account</a>
                    </div>
            {% endif  %}
            </div>
        </div>
<div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-bs-autohide="false">
  <div class="toast-header">
    <img src="..." class="rounded me-2" alt="...">
    <strong class="me-auto">Bootstrap</strong>
    <small>11 mins ago</small>
    <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
  </div>
  <div class="toast-body">
    Hello, world! This is a toast message.
  </div>
</div>

{% endblock %}